<?php
/**
 * WARNING: This file is part of the theme. DO NOT edit
 * this file under any circumstances.
 */
defined( 'ABSPATH' ) or exit;





if ( ! function_exists( 'anycar_requirement_check' ) ):
	add_action( 'after_switch_theme', 'anycar_requirement_check', 10, 2 );

	/**
	 * Check the theme requirements
	 */
	function anycar_requirement_check( $name, $theme ) {
	    if ( version_compare( PHP_VERSION, '5.3', '<' ) ):
			add_action( 'admin_notices', 'anycar_requirement_notice' );

			function anycar_requirement_notice() {
				printf( '<div class="error"><p>%s</p></div>',
					__( 'Sorry! Your server does not meet the minimum requirements, please upgrade PHP version to 5.3 or higher', 'anycar' ) );
			}

			// Switch back to previous theme
			switch_theme( $theme->stylesheet );
		endif;
	}
endif;



if ( version_compare( PHP_VERSION, '5.3', '>=' ) ):
	// Classes
	require_once __DIR__ . '/includes/classes/anycar-autoload.php';
	require_once __DIR__ . '/includes/vendor/plugin-activation.php';
	require_once __DIR__ . '/includes/vendor/options-plus.php';

	// Functions
	require_once __DIR__ . '/includes/plugins.php';
	require_once __DIR__ . '/includes/assets.php';
	require_once __DIR__ . '/includes/functions/helpers.php';
	require_once __DIR__ . '/includes/functions/template.php';
	require_once __DIR__ . '/includes/functions/visual-composer.php';
	require_once __DIR__ . '/includes/functions/structure.php';
	require_once __DIR__ . '/includes/functions/custom-fonts.php';
	require_once __DIR__ . '/includes/functions/options-override.php';

	// Register class mapping
	Anycar_AutoLoad::map( 'Anycar_', __DIR__ . '/includes/classes/' );
	Anycar_AutoLoad::map_class( 'Anycar', __DIR__ . '/includes/classes/anycar.php' );

	// Initialize the theme
	Anycar::instance();

	// Initialize the theme admin
	Anycar_Admin::instance();

	// Plugin Integration
	if ( defined( 'THEMEKIT_VERSION' ) ) {
		// Disable style of shortcode plugin
		add_filter( 'themekit_enqueue_shortcodes_style', '__return_false' );

		// require_once __DIR__ . '/includes/functions/team-members.php';
		require_once __DIR__ . '/includes/shortcodes/iconbox.php';
		require_once __DIR__ . '/includes/shortcodes/iconlist.php';
		require_once __DIR__ . '/includes/shortcodes/testimonial.php';
		require_once __DIR__ . '/includes/shortcodes/member.php';
		require_once __DIR__ . '/includes/shortcodes/counter.php';
		require_once __DIR__ . '/includes/shortcodes/countdown.php';
		require_once __DIR__ . '/includes/shortcodes/openhours.php';
		require_once __DIR__ . '/includes/shortcodes/posts.php';
		require_once __DIR__ . '/includes/shortcodes/pricing-table.php';
	}
endif;
