<?php
/**
 * WARNING: This file is part of the theme. DO NOT edit
 * this file under any circumstances.
 */

/**
 * Prevent direct access to this file
 */
defined( 'ABSPATH' ) or die();

/**
 * Register filter for append custom class name
 * that generated from visual-composer
 */
add_filter( 'themekit/shortcode/iconbox_class', 'anycar_custom_shortcodes_class', 10, 3 );

/**
 * Register shortcode into Visual Composer
 */
add_action( 'vc_before_init', 'anycar_iconbox_shortcode_params' );

/**
 * Register parameters for iconbox shortcode
 * 
 * @return  void
 */
function anycar_iconbox_shortcode_params() {
	vc_map( array(
		'base'        => 'iconbox',
		'name'        => __( 'LineThemes: Icon Box', 'anycar' ),
		'icon'        => 'anycar-shortcode',
		'category'    => __( 'LineThemes', 'anycar' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Icon', 'anycar' ),
				'param_name'  => 'icon',
				'description' => sprintf( __( 'FontAwesome Icon name. <a href="%s" target="blank">Full list of icons</a>', 'anycar' ), 'http://fontawesome.io/icons/' )
			),

			// Title
			array(
				'type'             => 'textfield',
				'heading'          => __( 'Title', 'anycar' ),
				'param_name'       => 'title',
				'edit_field_class' => 'vc_col-md-6 vc_column'
			),

			array(
				'type'       => 'dropdown',
				'heading'    => __( 'Title Element Tag', 'anycar' ),
				'param_name' => 'tag',
				'value'      => array(
					'h2' => 'h2',
					'h3' => 'h3',
					'h4' => 'h4',
					'h5' => 'h5',
					'h6' => 'h6'
				)
			),

			array(
				'type'       => 'textarea',
				'heading'    => __( 'Content', 'anycar' ),
				'param_name' => 'content'
			),

			array(
				'type'       => 'attach_image',
				'heading'    => __( 'Image', 'anycar' ),
				'param_name' => 'image',
				'description' => __( 'Select image to replace the icon', 'anycar' )
			),

			array(
				'type' => 'textfield',
				'heading' => __( 'Read More Link', 'anycar' ),
				'param_name' => 'link',
				'description' => __( 'Enter custom url for read more button', 'anycar' )
			),

			array(
				'type' => 'textfield',
				'heading' => __( 'Read More Text', 'anycar' ),
				'param_name' => 'text',
				'description' => __( 'Enter custom text for read more button', 'anycar' ),
				'value' => __( 'more...', 'anycar' )
			),

			array(
				'type'       => 'dropdown',
				'heading'    => __( 'Icon Position', 'anycar' ),
				'param_name' => 'icon_position',
				'value' => array(
					__( 'Top', 'anycar' ) => 'top',
					__( 'Left', 'anycar' ) => 'left',
					__( 'Left Inline', 'anycar' ) => 'inline-left',
					__( 'Right', 'anycar' ) => 'right'
				)
			),

			array(
				'type'       => 'dropdown',
				'heading'    => __( 'Icon Style', 'anycar' ),
				'param_name' => 'icon_style',
				'value' => array(
					__( 'Default', 'anycar' )         => '',
					__( 'Circle', 'anycar' )          => 'circle',
					__( 'Circle Outline', 'anycar' )  => 'circle-outlined',
					__( 'Rounded', 'anycar' )         => 'rounded',
					__( 'Rounded Outline', 'anycar' ) => 'outlined',
					__( 'Square', 'anycar' )          => 'square',
					__( 'Square Outline', 'anycar' )  => 'square-outlined'
				)
			),

			array(
				'type'       => 'textfield',
				'heading'    => __( 'Extra Class', 'anycar' ),
				'param_name' => 'class'
			),

			array(
				'type' => 'css_editor',
				'param_name' => 'css',
				'group' => __( 'Design Options', 'anycar' )
			)
		)
	) );
}



add_filter( 'themekit/shortcode/iconbox_atts', 'anycar_iconbox_shortcode_atts' );

function anycar_iconbox_shortcode_atts( $atts ) {
	$atts['icon_position'] = '';
	$atts['icon_style']    = '';

	return $atts;
}



add_filter( 'themekit/shortcode/iconbox_class', 'anycar_iconbox_shortcode_class', 10, 3 );

function anycar_iconbox_shortcode_class( $classes, $atts, $tag = '' ) {
	$classes[] = $atts['icon_position'];
	$classes[] = $atts['icon_style'];

	return $classes;
}
