<?php
/**
 * WARNING: This file is part of the theme. DO NOT edit
 * this file under any circumstances.
 */

/**
 * Prevent direct access to this file
 */
defined( 'ABSPATH' ) or die();

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	/**
	 * Extended class to integrate testimonial slider with
	 * visual composer
	 */
    class WPBakeryShortCode_IconList extends WPBakeryShortCodesContainer {
    }
}

/**
 * Register filter for append custom class name
 * that generated from visual-composer
 */
add_filter( 'themekit/shortcode/iconlist_class', 'anycar_custom_shortcodes_class', 10, 3 );
add_filter( 'themekit/shortcode/iconlist_item_class', 'anycar_custom_shortcodes_class', 10, 3 );

/**
 * Register shortcode into Visual Composer
 */
add_action( 'vc_before_init', 'anycar_iconlist_shortcode_params' );

function anycar_iconlist_shortcode_params() {
	/**
	 * Map the iconlist slider shortcode
	 */
	vc_map( array(
		'name'                    => __( 'LineThemes: Icon List', 'anycar' ),
		'base'                    => 'iconlist',
		'as_parent'               => array( 'only' => 'iconlist_item' ), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
		'content_element'         => true,
		'show_settings_on_create' => false,
		'category'    => __( 'LineThemes', 'anycar' ),
		'params'                  => array(
			array(
				'type' => 'textfield',
				'heading' => __( 'List Icon', 'anycar' ),
				'param_name' => 'icon',
				'description' => __( 'Default icon for all items in the list', 'anycar' )
			),
			array(
				'type' => 'attach_image',
				'heading' => __( 'List Image', 'anycar' ),
				'param_name' => 'image',
				'description' => __( 'Default image for all items in the list', 'anycar' )
			),
			array(
				'type' => 'textfield',
				'heading' => __( 'Extra class name', 'anycar' ),
				'param_name' => 'class',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'anycar' )
			),

			array(
				'type' => 'css_editor',
				'param_name' => 'css',
				'group' => __( 'Design Options', 'anycar' )
			)
		),
		'js_view' => 'VcColumnView'
	) );

	/**
	 * Map the single iconlist_item item
	 */
	vc_map( array(
		'base'        => 'iconlist_item',
		'name'        => __( 'LineThemes: Icon List Item', 'anycar' ),
		'icon'        => 'anycar-shortcode',
		'category'    => __( 'LineThemes', 'anycar' ),
		'as_child'    => array( 'only' => 'iconlist' ),
		'params'      => array(
			array(
				'type' => 'textfield',
				'heading' => __( 'List Icon', 'anycar' ),
				'param_name' => 'icon',
				'description' => __( 'Default icon for all items in the list', 'anycar' )
			),
			array(
				'type' => 'attach_image',
				'heading' => __( 'List Image', 'anycar' ),
				'param_name' => 'image',
				'description' => __( 'Default image for all items in the list', 'anycar' )
			),
			array(
				'type' => 'textarea',
				'heading' => __( 'Content', 'anycar' ),
				'param_name' => 'content'
			),
			array(
				'type' => 'checkbox',
				'heading' => __( 'Enable Icon Circle Style', 'anycar' ),
				'param_name' => 'circle_style',
				'value' => array(
					__( 'Yes, please', 'anycar' ) => 'yes'
				)
			),
			
			array(
				'type' => 'textfield',
				'heading' => __( 'Extra class name', 'anycar' ),
				'param_name' => 'class',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'anycar' )
			),

			array(
				'type' => 'css_editor',
				'param_name' => 'css',
				'group' => __( 'Design Options', 'anycar' )
			)
		)
	) );
}



add_filter( 'themekit/shortcode/iconlist_item_atts', 'anycar_iconlist_shortcode_atts' );

function anycar_iconlist_shortcode_atts( $atts ) {
	$atts['circle_style'] = '';

	return $atts;
}



add_filter( 'themekit/shortcode/iconlist_item_class', 'anycar_iconlist_shortcode_class', 10, 2 );

function anycar_iconlist_shortcode_class( $classes, $atts ) {
	if ( $atts['circle_style'] == 'yes' )
		$classes[] = 'circle';

	return $classes;
}
