<?php
/**
 * WARNING: This file is part of the theme. DO NOT edit
 * this file under any circumstances.
 */

/**
 * Prevent direct access to this file
 */
defined( 'ABSPATH' ) or die();

/**
 * Register filter for append custom class name
 * that generated from visual-composer
 */
add_filter( 'themekit/shortcode/member_class', 'anycar_custom_shortcodes_class', 10, 3 );
add_action( 'vc_before_init', 'anycar_member_shortcode_params' );

function anycar_member_shortcode_params() {
	/**
	 * Map the single member item
	 */
	vc_map( array(
		'base'        => 'member',
		'name'        => __( 'LineThemes: Team Member', 'anycar' ),
		'icon'        => 'anycar-shortcode',
		'category'    => __( 'LineThemes', 'anycar' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Name', 'anycar' ),
				'param_name'  => 'name'
			),

			array(
				'type'       => 'attach_image',
				'heading'    => __( 'Image', 'anycar' ),
				'param_name' => 'image'
			),

			array(
				'type'             => 'textfield',
				'heading'          => __( 'Subtitle', 'anycar' ),
				'param_name'       => 'subtitle',
			),

			array(
				'type'       => 'textarea',
				'heading'    => __( 'Content', 'anycar' ),
				'param_name' => 'content'
			),

			array(
				'type'       => 'textfield',
				'heading'    => __( 'Facebook URL', 'anycar' ),
				'param_name' => 'facebook'
			),

			array(
				'type'       => 'textfield',
				'heading'    => __( 'Twitter URL', 'anycar' ),
				'param_name' => 'twitter'
			),

			array(
				'type'       => 'textfield',
				'heading'    => __( 'LinkedIn URL', 'anycar' ),
				'param_name' => 'linkedin'
			),

			array(
				'type'       => 'textfield',
				'heading'    => __( 'Google+ URL', 'anycar' ),
				'param_name' => 'google'
			),

			array(
				'type'       => 'textfield',
				'heading'    => __( 'Extra Class', 'anycar' ),
				'param_name' => 'class'
			),

			array(
				'type'       => 'checkbox',
				'heading'    => __( 'Show Social Icons On Hover', 'anycar' ),
				'param_name' => 'hover_show_icons',
				'value'      => array(
					__( 'Yes, please', 'anycar' ) => 'yes'
				)
			),

			array(
				'type' => 'css_editor',
				'param_name' => 'css',
				'group' => __( 'Design Options', 'anycar' )
			)
		)
	) );
}



add_filter( 'themekit/shortcode/member_atts', 'anycar_member_shortcode_atts' );

function anycar_member_shortcode_atts( $atts ) {
	$atts['hover_show_icons'] = '';

	return $atts;
}



add_filter( 'themekit/shortcode/member_class', 'anycar_member_shortcode_class', 10, 3 );

function anycar_member_shortcode_class( $classes, $atts, $tag = '' ) {
	if ( $atts['hover_show_icons'] == 'yes' )
		$classes[] = 'hover';

	return $classes;
}
