<?php
/**
 * WARNING: This file is part of the theme. DO NOT edit
 * this file under any circumstances.
 */

/**
 * Prevent direct access to this file
 */
defined( 'ABSPATH' ) or die();

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	/**
	 * Extended class to integrate testimonial slider with
	 * visual composer
	 */
    class WPBakeryShortCode_Testimonial_Slider extends WPBakeryShortCodesContainer {
    }
}

/**
 * Register filter for append custom class name
 * that generated from visual-composer
 */
add_filter( 'themekit/shortcode/testimonial_class', 'anycar_custom_shortcodes_class', 10, 2 );
add_filter( 'themekit/shortcode/testimonial_slider_class', 'anycar_custom_shortcodes_class', 10, 2 );
add_action( 'vc_before_init', 'anycar_testimonial_shortcode_params' );

function anycar_testimonial_shortcode_params() {
	/**
	 * Map the testimonial slider shortcode
	 */
	vc_map( array(
		'name'                    => __( 'LineThemes: Testimonial Slider', 'anycar' ),
		'base'                    => 'testimonial_slider',
		'as_parent'               => array( 'only' => 'testimonial' ), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
		'content_element'         => true,
		'show_settings_on_create' => false,
		'category'                => __( 'LineThemes', 'anycar' ),
		'params'                  => array(
			array(
				'type' => 'dropdown',
				'heading' => __( 'Slider mode', 'anycar' ),
				'param_name' => 'mode',
				'value' => array(
					__( 'Horizontal', 'anycar' ) => 'horizontal',
					__( 'Vertical', 'anycar' ) => 'vertical'
				),
				'description' => __( 'Slides will be positioned horizontally (for horizontal swipes) or vertically (for vertical swipes)', 'anycar' )
			),
			array(
				'type' => 'textfield',
				'heading' => __( 'Slider speed', 'anycar' ),
				'param_name' => 'speed',
				'value' => '5000',
				'description' => __( 'Duration of animation between slides (in ms)', 'anycar' )
			),
			array(
				'type' => 'textfield',
				'heading' => __( 'Slides per view', 'anycar' ),
				'param_name' => 'slides_per_view',
				'value' => '1',
				'description' => __( 'Set numbers of slides you want to display at the same time on slider\'s container for carousel mode. Supports also "auto" value, in this case it will fit slides depending on container\'s width. "auto" mode isn\'t compatible with loop mode.', 'anycar' )
			),
			array(
				'type' => 'checkbox',
				'heading' => __( 'Slider autoplay', 'anycar' ),
				'param_name' => 'autoplay',
				'description' => __( 'Enables autoplay mode.', 'anycar' ),
				'value' => array( __( 'Yes, please', 'anycar' ) => 'yes' )
			),
			array(
				'type' => 'checkbox',
				'heading' => __( 'Hide pagination control', 'anycar' ),
				'param_name' => 'hide_control',
				'description' => __( 'If YES pagination control will be removed.', 'anycar' ),
				'value' => array( __( 'Yes, please', 'anycar' ) => 'yes' )
			),
			array(
				'type' => 'checkbox',
				'heading' => __( 'Hide prev/next buttons', 'anycar' ),
				'param_name' => 'hide_buttons',
				'description' => __( 'If "YES" prev/next control will be removed.', 'anycar' ),
				'value' => array( __( 'Yes, please', 'anycar' ) => 'yes' )
			),
			array(
				'type' => 'checkbox',
				'heading' => __( 'Slider loop', 'anycar' ),
				'param_name' => 'loop',
				'description' => __( 'Enables loop mode.', 'anycar' ),
				'value' => array( __( 'Yes, please', 'anycar' ) => 'yes' )
			),
			array(
				'type' => 'textfield',
				'heading' => __( 'Extra class name', 'anycar' ),
				'param_name' => 'class',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'anycar' )
			),

			array(
				'type' => 'css_editor',
				'param_name' => 'css',
				'group' => __( 'Design Options', 'anycar' )
			)
		),
		'js_view' => 'VcColumnView'
	) );

	/**
	 * Map the single testimonial item
	 */
	vc_map( array(
		'base'        => 'testimonial',
		'name'        => __( 'LineThemes: Testimonial', 'anycar' ),
		'icon'        => 'anycar-shortcode',
		'category'    => __( 'LineThemes', 'anycar' ),
		'params'      => array(
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Name', 'anycar' ),
				'param_name'  => 'name'
			),

			array(
				'type'       => 'attach_image',
				'heading'    => __( 'Image', 'anycar' ),
				'param_name' => 'image'
			),

			array(
				'type'             => 'textfield',
				'heading'          => __( 'Subtitle', 'anycar' ),
				'param_name'       => 'subtitle',
			),

			array(
				'type'             => 'textfield',
				'heading'          => __( 'Company', 'anycar' ),
				'param_name'       => 'company',
			),

			array(
				'type'             => 'textfield',
				'heading'          => __( 'Link', 'anycar' ),
				'param_name'       => 'link'
			),

			array(
				'type'       => 'textarea',
				'heading'    => __( 'Content', 'anycar' ),
				'param_name' => 'content'
			),

			array(
				'type'       => 'textfield',
				'heading'    => __( 'Extra Class', 'anycar' ),
				'param_name' => 'class'
			),

			array(
				'type' => 'css_editor',
				'param_name' => 'css',
				'group' => __( 'Design Options', 'anycar' )
			)
		)
	) );
}
